%define upstream_name    Authen-Libwrap
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Access to Wietse Venema's TCP Wrappers library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: wrap-devel
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl-devel

%description
The Authen::Libwrap module allows you to access the hosts_ctl() function
from the popular TCP Wrappers security package. This allows validation of
network access from perl programs against the system-wide _hosts.allow_
file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix libdir
sed -i -e "s/$prefix, 'lib'/$prefix, '%{_lib}'/g" Build.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

# Fix permissions
%_fixperms %{buildroot}%perl_vendorarch

%files
%doc ChangeLog META.yml README.md
%{_mandir}/man3/*
%perl_vendorarch/*
%exclude %dir %{perl_vendorarch}/auto/



%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.230.0-12.mga10
+ Revision: 2234088
- Mageia 10 Mass Rebuild

* Mon Jan 20 2025 wally <wally> 0.230.0-11.mga10
+ Revision: 2140049
- rebuild with perl-5.40.0-3.mga10
- fix debug info extraction

* Fri Aug 23 2024 tv <tv> 0.230.0-10.mga10
+ Revision: 2089615
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 0.230.0-9.mga10
+ Revision: 2012275
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 0.230.0-8.mga9
+ Revision: 1875080
- Rebuild for perl-5.36

* Sat Mar 19 2022 umeabot <umeabot> 0.230.0-7.mga9
+ Revision: 1800598
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.230.0-6.mga8
+ Revision: 1606964
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-5.mga8
+ Revision: 1508292
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.230.0-4.mga7
+ Revision: 1292347
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 joequant <joequant> 0.230.0-3.mga7
+ Revision: 1248388
- rebuild with perl 5.28

* Mon Oct 02 2017 tv <tv> 0.230.0-2.mga7
+ Revision: 1163142
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 0.230.0-1.mga7
+ Revision: 1156353
- new version 0.23

* Sat Jun 18 2016 pterjan <pterjan> 0.220.0-9.mga6
+ Revision: 1022611
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.220.0-8.mga6
+ Revision: 956732
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.220.0-7.mga6
+ Revision: 844133
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-6.mga5
+ Revision: 748310
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.220.0-5.mga5
+ Revision: 683570
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.220.0-4.mga5
+ Revision: 630813
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.220.0-3.mga4
+ Revision: 524573
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.220.0-2.mga4
+ Revision: 431170
- perl 5.18.0 rebuild

* Mon Apr 22 2013 kharec <kharec> 0.220.0-1.mga3
+ Revision: 410949
- Fix BR name
- fix missing br
- imported package perl-Authen-Libwrap

